% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ggpedigree.R
\name{createFillColumn}
\alias{createFillColumn}
\title{Get fill column for ggPedigree}
\usage{
createFillColumn(
  ped,
  focal_fill_personID = 2,
  personID = "personID",
  component = "additive",
  config = list()
)
}
\arguments{
\item{ped}{A data frame containing the pedigree data.}

\item{focal_fill_personID}{Numeric ID of the person to use as the focal point for fill.}

\item{personID}{Character string specifying the column name for individual IDs.}

\item{component}{Character string specifying the component type (e.g., "additive").}

\item{config}{A list of configuration options for customizing the fill column.}
}
\value{
A data frame with two columns: `fill` and `personID`.
}
\description{
This function creates a fill column for ggPedigree plots as a function of
the focal person relative to everyone else in the tree.
}
\keyword{internal}
