% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ggpedigreeHelpers.R
\name{.computeCurvedMidpoint}
\alias{.computeCurvedMidpoint}
\title{Compute midpoint coordinate for curved segment}
\usage{
.computeCurvedMidpoint(x0, y0, x1, y1, curvature, angle, shift = 0, t = 0.5)
}
\arguments{
\item{x0}{Numeric vector of x coordinates for start points}

\item{y0}{Numeric vector of y coordinates for start points}

\item{x1}{Numeric vector of x coordinates for end points}

\item{y1}{Numeric vector of y coordinates for end points}

\item{curvature}{Scalar curvature (geom_curve style)}

\item{angle}{Scalar angle in degrees}

\item{shift}{Scalar shift in degrees (default is 0)}

\item{t}{Scalar value between 0 and 1 for interpolation (default is 0.5) setting the midpoint}
}
\value{
Numeric vector of midpoints (x or y)
}
\description{
Returns x and y midpoint using vectorized curved offset
}
\keyword{internal}
